Skip to main content

Documentation Index

Fetch the complete documentation index at: https://developers.leadwaycrm.com/llms.txt

Use this file to discover all available pages before exploring further.

POST https://services.leadconnectorhq.com/knowledge-bases/crawler

Autorizacion

Authorization
string
required
Bearer token generado desde el portal Leadway. Ver Autenticacion.
Version
string
default:"2021-07-28"
required
Version de la API.

Body

locationId
string
default:"tDtDnQdgm2LXpyiqYvZ6"
required
Account ID as string
url
string
default:"https://kubernetes.io/tDtDnQdgm2LXpyiqYvZ6"
required
Website URL as string
option
string
default:"Exact"
required
Mode as string Posibles valores: ‘Exact’, ‘Path’, ‘Domain’
knowledgeBaseId
string
default:"tDtDnQdgm2LXpyiqYvZ6"
required
knowledge base ID as string

Respuestas

success
boolean
default:"True"
required
Indicates if the operation was successful
data
object
required
Data containing operation details
{
  "success": true
}
statusCode
number
default:"400"
message
string
default:"Bad Request"
{
  "statusCode": 400,
  "message": "Bad Request"
}
statusCode
number
default:"401"
message
string
default:"Invalid token: access token is invalid"
error
string
default:"Unauthorized"
{
  "statusCode": 401,
  "message": "Invalid token: access token is invalid",
  "error": "Unauthorized"
}
statusCode
number
default:"422"
message
string[]
error
string
default:"Unprocessable Entity"
{
  "statusCode": 422,
  "message": [
    "Unprocessable Entity"
  ],
  "error": "Unprocessable Entity"
}
statusCode
number
default:"500"
message
string
default:"Internal Server Error"
{
  "statusCode": 500,
  "message": "Internal Server Error"
}

Ejemplo

curl -X POST 'https://services.leadconnectorhq.com/knowledge-bases/crawler' \
  -H 'Authorization: Bearer YOUR_TOKEN' \
  -H 'Version: 2021-07-28' \
  -H 'Content-Type: application/json' \
  -d '{
  "locationId": "tDtDnQdgm2LXpyiqYvZ6",
  "url": "https://kubernetes.io/tDtDnQdgm2LXpyiqYvZ6",
  "option": "Exact",
  "knowledgeBaseId": "tDtDnQdgm2LXpyiqYvZ6"
}'